```
 .----------------.  .----------------.  .----------------.  .----------------.  .----------------. 
| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |
| |   _____      | || |   ______     | || | ____    ____ | || |      __      | || |  _________   | |
| |  |_   _|     | || |  |_   _ \    | || ||_   \  /   _|| || |     /  \     | || | |  _   _  |  | |
| |    | |       | || |    | |_) |   | || |  |   \/   |  | || |    / /\ \    | || | |_/ | | \_|  | |
| |    | |   _   | || |    |  __'.   | || |  | |\  /| |  | || |   / ____ \   | || |     | |      | |
| |   _| |__/ |  | || |   _| |__) |  | || | _| |_\/_| |_ | || | _/ /    \ \_ | || |    _| |_     | |
| |  |________|  | || |  |_______/   | || ||_____||_____|| || ||____|  |____|| || |   |_____|    | |
| |              | || |              | || |              | || |              | || |              | |
| '--------------' || '--------------' || '--------------' || '--------------' || '--------------' |
 '----------------'  '----------------'  '----------------'  '----------------'  '----------------' 
```

# Lattice Boltzmann Method Analysis Tool

 https://mmg-gitlab.fjfi.cvut.cz/gitlab/lbm/lbmat

 Developped by:
* Radek Fučík (fucik@fjfi.cvut.cz) FNSPE CTU in Prague, Czech Republic
* Robert Straka (straka@metal.agh.edu.pl) AGH Krakow, Poland
* Jakub Klinkovský (klinkovsky@mmg.fjfi.cvut.cz) FNSPE CTU in Prague, Czech Republic
* Pavel Eichler (eichlpa1@fjfi.cvut.cz) FNSPE CTU in Prague, Czech Republic
* Tomáš Oberhuber (oberhuber.tomas@fjfi.cvut.cz) FNSPE CTU in Prague, Czech Republic

 Read and cite: <br/>
* Radek Fučík, Pavel Eichler, Jakub Klinkovský, Robert Straka and Tomáš Oberhuber: <i>Lattice Boltzmann Method Analysis Tool (LBMAT)</i> in preparation

* Radek Fučík and Robert Straka: <i>Equivalent finite difference and partial differential equations for the lattice Boltzmann method</i>, Elsevier Computers & Mathematics with Applications, vol. 90, 2021, 96-103 
 https://doi.org/10.1016/j.camwa.2021.03.014

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 https://www.gnu.org/licenses/

## Quickstart

__Prerequisites:__
To use LBMAT, you need to install
[GNU make](https://www.gnu.org/software/make/),
[GNU GCC](https://gcc.gnu.org/),
[Git](https://git-scm.com/),
[Python 3](https://www.python.org/),
[GiNaC](https://ginac.de/),
and [TeX Live](https://tug.org/texlive/).
LBMAT was tested on Linux systems, but you may have luck using it on other operating systems too.

1. Clone the repository: `git clone https://mmg-gitlab.fjfi.cvut.cz/gitlab/lbm/lbmat.git`
2. Select the model and go to its directory, e.g. `cd lbmat/d1q3_ade`
3. Run LBMAT for the model: `make`
4. Open the generated PDF file, e.g. `supp_d1q3_ade.pdf`
